This example shows how to use the report viewer events. Some viewer actions have events to which you can subscribe. For example, print action, begin of the export, design report:
<script type="text/javascript">
	// Enable the design button
	var options = new Stimulsoft.Viewer.StiViewerOptions();
	options.toolbar.showDesignButton = true;

	// Create the report viewer
	var viewer = new Stimulsoft.Viewer.StiViewer(options, "StiViewer", false);

	// Assign the onGetReportData event function
	viewer.onBeginProcessData = function (args) {
		var ds = new Stimulsoft.System.Data.DataSet("Demo");
		ds.readJsonFile("../reports/Demo.json");
		args.report.regData("Demo", "Demo", ds);
	}

	// Assign the onPrintReport event function
	viewer.onPrintReport = function (args) {

	}

	// Assign the onBeginExportReport event function
	viewer.onBeginExportReport = function (args) {
		switch (args.format) {
			case "Html":
				args.settings.zoom = 2;  // Set HTML zoom factor to 200%
				break;
		}
	}

	// Assign the onReportDesign event function
	viewer.onDesignReport = function (args) {
		alert("Design button presed.");
	}

	// Create a new report instance
	var report = new Stimulsoft.Report.StiReport();
	// Load report from url
	report.loadFile("../reports/SimpleList.mrt");
	// Assign report to the viewer, the report will be built automatically after rendering the viewer
	viewer.report = report;

	// Show the report viewer in the 'content' element
	viewer.renderHtml("content");
</script>

In the screenshot below you can see the result of the sample code:

Using Viewer Events

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

Using Viewer Events
Our sample projects and report templates can help you learn the basics of working with our products.Set up the report viewer in Vue 3, load a template, and connect the component to the application.
Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';
function onEmailReport(args: Stimulsoft.Viewer.EmailReportArgs) {
alert(`Email: ${args.settings.email} File name: ${args.fileName}`);
}
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.toolbar.showSendEmailButton = true;
</script>
<template>
<Viewer :report="report" :options="viewerOptions" @email-report="onEmailReport" />
</template>Events are bound with Angular's (event) syntax or Vue's @event directive; here the handler receives the e-mail settings and file name. The same pattern covers print, export and design events.

Set up the report viewer in Angular, load a template, and connect the component to the application.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
@Component({
    selector: "using-viewer-events",
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="viewerOptions" (onEmailReport)="onEmailReport($event)"></sti-viewer>`
})
export class UsingViewerEvents {
    report = new Stimulsoft.Report.StiReport();
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
    onEmailReport(args: Stimulsoft.Viewer.EmailReportArgs) {
        alert(`Email: ${args.settings.email} File name: ${args.fileName}`);
    }
    constructor() {
        this.report.loadFile("Reports/SimpleList.mrt");
        this.viewerOptions.toolbar.showSendEmailButton = true;
    }
}
Events are bound with Angular's (event) syntax or Vue's @event directive; here the handler receives the e-mail settings and file name. The same pattern covers print, export and design events.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.